Skip to content
Developer

TravelExpenseCountryRate

Accounting3 EndpointsBilling / TravelExpenseCountryRate

Returns a list of all TravelExpenseCountryRate

GET/api/billing/travel/country_rates

Query parameters

idinteger
countryCodestringISO 3166-1 alpha-2 country code (e.g., DE, AT, FR, US)
countryNamestringCountry name for display
fullDayRatenumberPer diem rate for full day (24 hours)
partialDayRatenumberPer diem rate for partial day (>8h or arrival/departure)
accommodationRatestringOptional accommodation rate limit (Uebernachtungspauschale)
breakfastDeductionstringBreakfast deduction amount (if applicable for this country)
lunchDeductionstringLunch deduction amount
dinnerDeductionstringDinner deduction amount
currencystringCurrency for the rates (usually EUR)
validFromstringDate from which this rate is valid
validUntilstringDate until which this rate is valid (null = indefinitely)
isActivebooleanIs this rate active/available
notesstringNotes about the rate (e.g., source, special rules)
createdstring
updatedstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of TravelExpenseCountryRate objectsarray<TravelExpenseCountryRate>

Show fields (16)
  • idinteger

    Primary key of the travel expense country rate. Internal ID.

  • country_codestringrequired

    ISO 3166-1 alpha-2 country code (e.g., DE, AT, FR, US)

  • country_namestringrequired

    Country name for display

  • full_day_ratestringrequired

    Per diem rate for full day (24 hours)

  • partial_day_ratestringrequired

    Per diem rate for partial day (>8h or arrival/departure)

  • accommodation_ratestring

    Optional accommodation rate limit (Uebernachtungspauschale)

  • breakfast_deductionstring

    Breakfast deduction amount (if applicable for this country)

  • lunch_deductionstring

    Lunch deduction amount

  • dinner_deductionstring

    Dinner deduction amount

  • currencystring

    Currency for the rates (usually EUR)

  • valid_fromstring (date-time)

    Date from which this rate is valid

  • valid_untilstring (date-time)

    Date until which this rate is valid (null = indefinitely)

  • is_activeboolean

    Is this rate active/available

  • notesstring

    Notes about the rate (e.g., source, special rules)

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/billing/travel/country_rates \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "country_code": "string",
    "country_name": "Beispiel",
    "full_day_rate": "string",
    "partial_day_rate": "string",
    "id": 42,
    "currency": "EUR",
    "accommodation_rate": "string",
    "breakfast_deduction": "string",
    "lunch_deduction": "string",
    "dinner_deduction": "string"
  }
]

Get a single TravelExpenseCountryRate

GET/api/billing/travel/country_rates/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single TravelExpenseCountryRateTravelExpenseCountryRate

Show fields (16)
  • idinteger

    Primary key of the travel expense country rate. Internal ID.

  • country_codestringrequired

    ISO 3166-1 alpha-2 country code (e.g., DE, AT, FR, US)

  • country_namestringrequired

    Country name for display

  • full_day_ratestringrequired

    Per diem rate for full day (24 hours)

  • partial_day_ratestringrequired

    Per diem rate for partial day (>8h or arrival/departure)

  • accommodation_ratestring

    Optional accommodation rate limit (Uebernachtungspauschale)

  • breakfast_deductionstring

    Breakfast deduction amount (if applicable for this country)

  • lunch_deductionstring

    Lunch deduction amount

  • dinner_deductionstring

    Dinner deduction amount

  • currencystring

    Currency for the rates (usually EUR)

  • valid_fromstring (date-time)

    Date from which this rate is valid

  • valid_untilstring (date-time)

    Date until which this rate is valid (null = indefinitely)

  • is_activeboolean

    Is this rate active/available

  • notesstring

    Notes about the rate (e.g., source, special rules)

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/billing/travel/country_rates/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "country_code": "string",
  "country_name": "Beispiel",
  "full_day_rate": "string",
  "partial_day_rate": "string",
  "id": 42,
  "currency": "EUR",
  "accommodation_rate": "string",
  "breakfast_deduction": "string",
  "lunch_deduction": "string",
  "dinner_deduction": "string"
}

Delete a TravelExpenseCountryRate (soft delete via isActive = false)

DELETE/api/billing/travel/country_rates/{identifier}

Path parameters

identifierrequiredstring

Responses

default

Request
curl --request DELETE \
  --url https://your-instance.iw-erp.de/api/billing/travel/country_rates/42 \
  --header 'x-iw-jwt-token: <TOKEN>'